import { Switch, View, Text } from "native-base"

interface SwitchWithLabelProps {
    label: string,
    value: boolean,
    onValueChange: (value: boolean) => void,
}

const SwitchWithLabel = (props: SwitchWithLabelProps) => {

    return (
        <View
            flexDirection={ "row" }
            alignItems={ "center" }
            justifyContent={ "space-between" }
        >
            <Text>{ props.label }</Text>
            <Switch value={ props.value } onValueChange={ props.onValueChange } size={"sm"} key={props.label}/>
        </View>
    )
}

export default SwitchWithLabel